Bug 977581 - Empty topics with two lines result in invalid content warning in docbuilder
Empty topics with two lines result in invalid content warning in docbuilder
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: DocBook-builder (Show other bugs)
1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 20:07 EDT by lcarlon
Modified: 2013-06-28 01:34 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.33.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 01:34:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lcarlon 2013-06-24 20:07:09 EDT
Empty topics that have been created with the CSProcessor but as yet don't have any XML content should be replaced with a warning that there is no XML content for that topic. However, when topics have two empty lines (for whatever reason) the empty content is replaced with a warning that the topic includes invalid topics.

This makes it difficult to check and fix invalid topics, and presents problems when showing early drafts to SMEs.
Comment 1 Lee Newson 2013-06-24 21:07:31 EDT
Verified and fixed in 0.33.0.

The problem comes from the way the builder checks if the XML field is empty. It used to do this by just checking if the XML field was null or had no content at all. Now I've updated it to trim it down by removing any whitespace (ie new lines, spaces, tabs, etc...) before it does the "no content" check.
Comment 2 Lee Newson 2013-06-27 23:30:39 EDT
0.33.0 has now been released.
Comment 3 lcarlon 2013-06-28 01:29:19 EDT
Verified. Thanks Lee.

Note You need to log in before you can comment on or make changes to this bug.